* Changes in MH Book 200605

This update represents a move from UCI to SourceForge and a major
facelift in the look and feel and navigation.

** Major Changes in MH Book 200605

*** Rehosted MH and book at SourceForge.

Made appropriate edits related to the move to SourceForge and to
reflect new realities (no, you can't get a 6250 BPI 9-track tape from
UCI).

*** Simplified interface and navigation.

Removed frames. Removed separate home pages, indices, and table of
contents for sub-sections. There is now a single index and table of
contents (which doubles as the book's home page) which are both
accessible from the header of every page.

*** Replaced index search with Google site search.

*** Renamed files with .htm extension to .html.

*** Renamed download/split to examples.

*** Deprecated mirrors.

Mirrors appear to be either dead, overloaded, or unnecessary. Deleted
servers.html and references to it.

** Minor Changes in MH Book 200605

*** Mention GNU mailutils.

While GNU mailutils itself isn't documented, it is cited as a source
of MH.

*** Update URL to nmh.

nmh is now at nongnu.org (mhost.com is defunct).

*** Deprecated use of mh-mime-sample mailbot.

It's easy enough to get this file from the book itself.

*** Updated URL to MH FAQ.

*** Cleaned up references to MH-E.

The MH-E Manual is now a separate book at
http://mh-e.sourceforge.net/manual/.

*** Deleted sections about obtaining book and examples via ftp, ftpmail, uucp.

*** Use full book name in titles to provide context in search results.

*** Merged update.html and whatsnew.html into NEWS.

The NEWS file is in plain text to make it easier to include in release
notes in SourceForge releases. The former files were deleted.

*** Replaced O'Reilly & Associates with O'Reilly Media.

*** Removed lots of obsolete files.

*** Internal changes.

Downcased tags, replaced deprecated usage with CSS, indented, use PHP
to provide common header and footer. Added Makefile so one can now
simply run make to check out files and build indexes.



* Changes in MH Book 199910

This update was mostly format conversion and small global edits.
There were very few content changes.

** Major Changes in MH Book 199910

*** The background color of all pages is now white.

It used to be the browser's default, which was grey on Netscape.
Figures have a thin border so they all stand out from the
background. This really should be done with CSS (styles)... but CSS
still doesn't seem to work consistently, so I've hardcoded this
stuff in the HTML files for now.

*** Unisys Corporation has a patent on the LZW algorithm used to
encode GIF files.

Only software licensed by Unisys creates legal GIFs using LZW. I'm
not sure of the license status of the software I used (or even which
software I used). So, in this update, I replaced all original GIF
files with other files. (Brent Welch also put two new color screen
shots, from the latest exmh version 2.1.0, into his section The exmh
Display <exmh/thexmdi.html>.) There are two kinds of files now:

- Where GIF figures were continuous-tone or looked okay after they'd
  been converted, I used JPEG files instead. I experimented with the
  JPEG quality to keep the image as clear and as small as possible.
  Some aren't quite as clear as the original GIFs, but I think
  they're good enough.

- Some GIFs -- especially the xmh and exmh screen shots -- look
  lousy as JPEGs. For those, I used GIFs made with the Tcl Img
  extension, version 1.2.1, from Jan Nijtmans
  <http://members1.chello.nl/~j.nijtmans/img.html>. Here's a quote
  from that Web page: "Instead of LZW, the run-length encoding of
  Hutchison Avenue Software Corporation is used, also known as miGIF
  compression. The miGIF compression routines do not, strictly
  speaking, generate files conforming to the GIF spec, since the
  image data is not LZW-compressed (this is the point: in order to
  avoid transgression of the Unisys patent on the LZW algorithm.)
  However, miGIF generates data streams that any reasonably sane LZW
  decompresser will decompress to what we want." 
 If you have
  any problems with these pseudo-GIFs, please click on my email
  address at the bottom of the page and send me details! PNG files
  would have been a good alternative if enough people had
  PNG-capable browers... but I don't think that's happened yet.
  Maybe on the next major revision I can re-convert the figures to
  PNG.

** Minor Changes in MH Book 199910

Here are the specific changes. All of them are minor; they don't
change the meaning of the book text:

*** Edited most pages to change my personal email address (for
feedback, etc.) to jpeek@jpeek.com.

*** Replaced each  tag with a  tag.

*** Edited the page footer at the bottom of all HTML files except
the MH-E section: Changed "This file is freely-available" to "This
file is freely available". Updated the URL for Jerry Peek from
http://www.jpeek.com/~jpeek/ to http://www.jpeek.com/ and broke that
long line onto two shorter lines.

*** The files exmh/figs/thpidi.gif and exmh/figs/buined.gif are
slightly larger (have a few more pixels).

*** The file exmh/figs/mpoted.gif was renamed to
exmh/figs/mpotedbw.gif; now mpoted.gif is an updated full-color
screen shot in JPEG format, exmh/figs/mpoted.jpg. Also,
exmh/figs/higkey.gif is now an updated full-color screen shot in
JPEG format, exmh/figs/higkey.jpg.

*** The following files have been changed to JPEG format from GIF:

mh/figs/afscfwto.jpg, mh/figs/aprottot.jpg, mh/figs/asubfold.jpg,
mh/figs/cufoafos.jpg, mh/figs/meliithf.jpg, mh/figs/s2dmbape.jpg,
mh/figs/s56afcot.jpg, mh/figs/sams1mdf.jpg,
overall/figs/hammgfat.jpg, overall/figs/impoaunf.jpg,
overall/figs/mhcover.jpg, overall/figs/mhfro-hi.jpg,
overall/figs/mhfroend.jpg, overall/figs/twolinme.jpg,
xmh/figs/xmfimawi.jpg, xmh/figs/pickwind.jpg, xmh/figs/fortwmes.jpg,
xmh/figs/xmawiwpl.jpg, xmh/figs/woosedao.jpg, xmh/figs/radfasmw.jpg,
xmh/figs/rarmwuac.jpg, xmh/figs/searpowi.jpg, xmh/figs/aviewwin.jpg,
xmh/figs/asubfold.jpg, xmh/figs/maanpiwi.jpg, xmh/figs/ormarwsr.jpg,
xmh/figs/swbogats.jpg, xmh/figs/wimwancw.jpg.

All other GIF files have been remade without LZW compression, as
explained above.



* Changes in MH Book 199904

Many of the changes are to update the book for nmh-1.0. The major
differences are:

- mhn has been cloned, and its clone has been split into four pieces
  named mhbuild, mhlist, mhshow and mhstore. So, there are new profile
  entries, new reference guides, and lots of related changes all through
  the book.

- flist is quite different than it was in nmh-0.17.

** Major Changes in MH Book 199904

*** Read through server and index errors and reader comments, scanned
whole book for changes needed.

*** Fixed and added index entries.

*** Made MH-specific section titles (mostly, titles that mention mhn)
more generic:

- "1.7 Obtaining MH, xmh, exmh, and MH-E" became "1.7 Obtaining MH,
  nmh, xmh, exmh, and MH-E"

- "5.9.5 mhn Can Also Do..." became "5.9.5 Other MIME Operations"

- "6.2.3 How mhn Shows a Message" became "6.2.3 Showing MIME Messages"

- "6.2.11 Alternatives to mhn" became "6.2.11 Other MIME Handlers"

- "7.5.8 Recovering Drafts Edited by mhn" became "7.5.8 Recovering
  MIME Drafts"

- "7.6.2 mhn Directives" became "7.6.2 MIME Draft Directives"

- "7.6.5 How mhn Chooses Encoding" became "7.6.5 Choosing MIME
  Encodings"

- "9.4 Configuring mhn" became "9.4 MIME Configuration"

- "9.4.1 Profiles that mhn Reads" became "9.4.1 MIME Profiles"

- "9.4.2 Making an MHN Profile" became "9.4.2 Making a MIME Profile"

- "9.4.4 Showing Contents: mhn-show-" became "9.4.4 Showing MIME
  Contents"

- "9.4.5 Displaying Other Character Sets: mhn-charset-" became "9.4.5
  Displaying Other Character Sets"

- "9.4.6 Composing Content: mhn-compose-" became "9.4.6 Composing MIME
  Content"

- "9.4.7 Storing Content: mhn-storage and mhn-store-" became "9.4.7
  Storing Content"

- "9.4.8 Caching External Body Parts: mhn-cache and mhn-private-cache"
  became "9.4.8 Caching External Body Parts"

- "9.4.9 Getting External Body Parts by FTP: mhn-access-ftp" became
  "9.4.9 Getting External Body Parts by FTP"

- "E.5.2 Syntax of mhn Directives" became "E.5.2 Syntax of MIME Draft
  Directives"

and changed all cross-references in all files that used those section
names.

*** Made MH-specific table titles more generic:

- "5-1 Examples of mhn directives" became "5-1 Examples of MIME draft
  directives"

- "9-3 mhn Storage Formatting Strings" became "9-3 MIME Storage
  Formatting Strings"

- "9-4 mhn Storage Escapes" became "9-4 MIME Storage Escapes"

*** Added new reference guides:

- E.1.12 mhbuild Reference Guide

- E.1.14 mhlist Reference Guide

- E.1.19 mhshow Reference Guide

- E.1.20 mhstore Reference Guide

*** Many, many small changes to update for new command names in nmh.
For instance, changed phrases like "use mhn -list" into something like
"use mhn -list or mhlist". Edited descriptions of MIME profile entries
like mhn-store-text: to mention that, for nmh-1.0+, you could use
mhstore-store-text: instead.

** Minor Changes in MH Book 199904

*** On 5 May 1999, updated the nmh and exmh mailing list addresses
<mh/morabo.html> and nmh distribution location<mh/mh-2.html>.

*** On 22 April 1999, cleaned up the description of the book's
structure <structur.html>.

*** Added a paragraph about procmail to the section "Replacing All of
Your .maildelivery File" <mh/altmhpr.html#ReAoYma">. (This deserves a
whole section of its own.)

*** In the section "Reading MIME Mail" <mh/usimim.html#ReMIMa>,
updated the sizes of the body parts in the sample MIME message and
showed parts of the revised message. (I had revised the message a few
years ago, when the online edition came out.)

*** In the section "Sending MIME Mail" <mh/usimim.html#SeMIMa>,
deleted mention of a bug in nmh-0.17 where it could abort during
"mime" processing at a "What now?" prompt.

*** In the section "Building MIME Drafts Automatically"
<mh/confmhn.html#Theautmh>, made small change in sample message body.

*** In the section "Choosing MIME Encodings"
<mh/cosemime.html#HomhChEn>, added note about mhbuild -ebcdicsafe.

*** Updated URLs and deleted mention of mail servers (not working
anymore) in the section "MH and nmh Source Code" <mh/mh-2.html>.

*** Updated the section "Send Files with MIME: viamail"
<mh/sencom.html#viamail> as well as the "MH Reference Guide"
<mh/mhrg.html> to mention nmh sendfiles command (which is basically
just viamail with a different name).

*** Added a cross-reference link from the section "Add Files to Your
Drafts: append" <mh/sencom.html#Addapp>.

*** In the section "What now? -- and the whatnow Program"
<mh/senove.html#WhaPro> documented the new nmh "What now? delete"
feature.

*** In the section "Changing Showproc for Viewing, Printing, and
Editing" <mh/shomes.html#ChaPri>, mentioned that mhl is the default
showproc in nmh-0.21+.

*** In the sections "Changing Showproc for Viewing, Printing, and
Editing" <mh/shomes.html#ChaPri> and "Using mhl"
<mh/shomes.html#Usisho>, added details about the moreproc.

*** Covered mhshow -nocheckmime in the section "Without a showproc"
<mh/shomes.html#Witsho>.

*** In the section "Decoding and Storing MIME Messages"
<mh/stormess.html#DeStMIMe>, added info about storage with the -type
and -part switches.

*** Added a new part "Using Caches" to the end of the section
"Decoding and Storing MIME Messages" <mh/stormess.html#DeStMIMe>.

*** Updated Brent Welch's email address and Web page URL in links at
the ends of pages he wrote. (All those pages are in the exmh Part.)

*** Updated exmh contact info in the sections "More Information"
<exmh/morinf.html>, "Programming exmh" <exmh/proexm.html> and "exmh"
<exmh/exmh-2.html>.

*** Updated the "scan.xmhwide format file" <xmh/chafor.html#scxmfofi>
to handle four-digit years.

*** Tweaked the "Chapter Introduction" <overall/ch-itm.html> of the
"Introduction to MIME" to treat MIME as if it's not something new (as
it was when this chapter was written...).

*** Mentioned nmh in the "Preface Introduction" <overall/ch-p.html>.

*** Added a new subsection "nmh, the New MH" to the section "Email
User Agents" <overall/howwor.html#EmaUsAge>.

*** Added info about nmh manpages to the section "Online Manual Pages"
<overall/onmanpag.html>.

*** Changed the sample MIME message header in ""Example: Encoded MIME
message"" <overall/ovofmime.html#EncMIMes>, and the explanation after
it, to show RFC 2047 encoding.

*** Covered nmh -nocheckmime switch in the section "MIME Header
Fields" <overall/ovofmime.html#MIHeFi>.

*** Updated the section "What Computers Support MH?"
<overall/whamh.html> to mention nmh, plus other revisions.

*** Small edit to sentence about Phil Karlton in the section "History
of xmh" <overall/xmh.html>.

*** Small tweaks to the section "What is Email?"
<overall/whaema.html>.

*** Added note about versions of fmt to the introduction of the
Section about "mhl" <mh/hl.html>.

*** Ran "weblint" <ftp://ftp.cre.canon.co.uk/pub/weblint/> on the book
files and fixed most of its complaints.

 

* Changes in MH Book 199709

** Major Changes in MH Book 199709

*** Fixed and added index entries.

*** Updated RFC numbers in all pages, especially the sections
"Reference List" <overall/ap-rl.html> and "RFCs and Internet Drafts"
<overall/rfcaid.html>.

*** Changed book title to "MH & nmh: Email for Users & Programmers".

*** Added the new sections "Delayed Removal: drmm" <mh/rem.html#drmm>
and "Explanation of drmm" <mh/e-drmm.html>.

*** Added info about the profile: line and the -version switch to the
renamed section "The -help and -version Switches" <mh/theswi.html>.

*** Documented flist in two places: explanation and examples in the
new section "Searching for Sequences with flist"
<mh/morseq.html#flist>, and a summary of the command and options in
the new "flist Reference Guide" <mh/r-flist.html> (as well as a
pointer to the new reference page from the overall "MH Reference
Guide" <mh/mhrg.html>).

*** Mentioned that the mhook manual page has been split into three
pieces -- did it with notes in the introduction to the chapter
<mh/ch-pnma.html#index2> "Processing New Mail Automatically" and in
the section "Running Your .maildelivery File" <mh/ruyomfi.html>.

*** In the section "Working with Draft Messages" <mh/wormes.html>,
added note about the new mh-draft manual page.

*** In the section "Using Symbolic Links" <mh/usilin.html#UsiSymLi>,
added a warning about problems with folder -recurse and flist
-recurse.

Added a related note to the section "Improve rmm: use rmmer"
<mh/rem.html#BetWay> about advantages of a central +DELETE folder with
nmh.

*** Covered the Delivery-Date: header field in the sections "The
.maildelivery File in Detail" <mh/thmafid.html> (for slocal) and a new
subsection of "Less-used inc Features" <mh/othinc.html#index13>.

*** Covered mhn -build in "Composing Content: mhn-compose-"
<mh/confmhn.html#index31> and the "mhn Reference Guide"
<mh/r-mhn.html>.

*** Retitled the section "mhn Editing and automhnproc" to become
"Building MIME Drafts" <mh/wormes.html#mhEdanau>, and changed the
section "The automhnproc" to its new name "Building MIME Drafts
Automatically" <mh/confmhn.html#Theautmh>. Reworked each of those
sections to explain the automimeproc: and buildmimeproc: MH profile
entries. Mentioned the mh-draft(1) manual page
<mh/wormes.html#index1>.

Also, in quite a few files, mentioned typing mime instead of edit mhn
at the What now? prompt.

*** Added note to say that nmh doesn't have the 998-message limit in
mhpath <mh/thecom-2.html#index2>.

*** Retitled the sections on the MH packf and packmbox commands to
just "MMDF Format" <mh/pamiafwp.html#packf> and "UUCP Mailbox Format"
<mh/pamiafwp.html#packmbox>. Re-did those sections to explain nmh
packf, which handles the job of both MH commands. Also fixed the
sections "packf Reference Guide" <mh/r-packf.html> and "packmbox
Reference Guide" <mh/r-packmb.html>.

*** Updated the sections "Storing in Mailbox Files: rcvpack"
<mh/samimfr.html> and " rcvpack Reference Guide" <mh/r-rcvpac.html> to
cover the new -mbox and -mmdf options.

*** Now the sections "New Message Notification: rcvtty"
<mh/nmenorc.html> and "rcvtty Reference Guide" <mh/r-rcvtty.html>
document the nmh -width option.

*** Documented nmh folder, mbox and mmdf actions in the section "Third
.maildelivery Argument: Action" <mh/thmafid.html#ThmArac>.

*** Covered the new slocal -suppressdup <mh/ruyomfi.html#index3>
switch.

*** Mentioned improved slocal debugging in the section "slocal
Debugging Tips" <mh/debugti.html#index2>.

*** In the section "scan Format Files" <mh/morsca.html#sca>, showed
scan.unseen.

*** Mentioned show -checkmime and -nocheckmime in the sections
"Alternatives to mhn" <mh/remime.html#index25> and "show Reference
Guide" <mh/r-show.html>.

*** Changed title of the section "The mhnproc" to "The mhnproc or
showmimeproc" <mh/remime.html#Themhnpr> and mentioned showmimeproc.

*** Retitled the section "MH Library Directory" to "Library and
Etcetera Directories" <overall/mhlibdir.html>. Explained the nmh etc
directory, and showed the almost-undocumented mhparam etcdir command.
Changed sections that point to it and would need nmh etcetera
directory.

*** Re-titled the section "MH" to "MH and nmh Source Code"
<mh/mh-2.html>. Added pointer to nmh source.

*** Renamed "the section" <mh/sencom.html> "Sending Files; Using
mhmail and viamail" to just "Sending Files". Split section into three
subsections for mhmail, viamail, and append. Also added a hint on
making append create MIME messages.

*** Added a sample Perl script named automhn to the section "The
automhnproc" <mh/confmhn.html#Theautmh>. It's explained in the new
section "Explanation of automhn" <mh/e-automh.html>.

*** Added short sections about PGP support in MH 6.8.4 in the two new
sections "Reading PGP Messages" <mh/remime.html#ReaPGP> and "Sending
PGP Messages" <mh/senove.html#SenPGP>.

*** By default, slocal only matches fixed strings in your
.maildelivery file. I added a section that introduces the rcvsearch
script <mh/thmafid.html#rcvsearch> and a new section "Explanation of
rcvsearch" <mh/e-rcvsea.html> that shows and explains the script.
rcvsearch allows full regular expression matching of message headers
and bodies.

*** Explained how to run the vacation mail handler from the
.maildelivery file <mh/altmhpr.html#TvaMaHa>.

** Minor Changes in MH Book 199709

*** MH-E machinery put in place to replace former black magic used to
produce MH-E distributions from Texinfo source. No user visible
changes other than removing "Under development" from the MH-E section
home page.

*** Added new section, "World Wide Web Pages" <mh/morabo.html#Web>,
with pointers to Web pages about MH, nmh, exmh and MH-E.

*** Documented repl -mime in the section "Replying to Messages with
MIME" <mh/reprep-2.html#index14> and in the "repl Reference Guide"
<mh/r-repl.html>. Also documented the bug where the #forw directive
ignores the description field <mh/usimim.html#index10> that's added by
repl -mime (or by hand).

*** Split the "Acknowledgements" section into two parts. The second
part is for the "Online Edition" <overall/ack.html#online1>.

*** Added more info to the introduction of the section "Composing and
Sending MIME Messages" <mh/cosemime.html>.

*** Mentioned flist in the section "Messages You Haven't Read"
<mh/shomes.html#MesRea>.

*** Added information about transferring messages between hosts
<mh/fol.html#index46>.

*** Explained where to get MH 6.8.4 <mh/mh-2.html> (it's a patch
release, and not in the usual places).

*** Updated the section about fpick <mh/finpic.html#fpick>, and fpick
script <examples/mh/bin/fpick> itself, to version 1.5.

*** Put the latest addresses, and information on nmh-workers, in the
appendix section "Mailing Lists" <mh/morabo.html#MaLi>.

*** Made two changes in the subsection "edit editor (or e editor)"
<mh/senove.html#edit>: (part of the section "What now? -- and the
whatnow Program" <mh/senove.html#WhaPro>): mentioned automhnprocs;
added an example of edit spell and edit grep to find and search for
misspellings.

*** Fixed two typos, and added one more example profile entry, to the
section "Displaying Other Character Sets: mhn-charset-"
<mh/confmhn.html#DiOChSmc>.

*** In the "Summary of MH Format Strings" <mh/mhstr.html#SumMFS>,
explained how to put a literal % or \ in a format string.

*** Added a new number, and more information, to the numbered list at
the start of the section "An MH Profile, in General"
<mh/angen.html#index4> -- about multiple MH profiles and MH profile
conflicts. Also added note, to second paragraph of section, that only
the first profile entry for a command is recognized.

*** In the section "Redistributing Messages: rcvdist"
<mh/redmerc.html>, showed how to use MH aliases with rcvdist.

*** Added an example of changing the xmh font to the end of the
section "Toolkit Options" <xmh/comliop.html#TooOpt>.

*** Documented the 998-message (MAXARGS) limit in the section "The
mhpath Command" <mh/thecom-2.html> and gave workarounds.

*** In the section "Moving and Linking Messages: refile"
<mh/fol.html#index45>, showed how to use shells' curly brace operators
({ }) to make multiple folder names.

*** Moved one sentence in the section "Moving and Linking Messages:
refile" <mh/fol.html#Movref>.

*** Added example MH sequences file lines to the "NOTE about
Previous-Sequence: causing long lines" <mh/morseq.html#index14>.

*** The section "Annotating Headers with anno" <mh/annann.html> said,
incorrectly, that pick will find only the first annotation in a
message. Fixed.

*** In the section "If New Messages Arrive" <mh/othinc.html#Newinc>,
noted that inc's locking might not work.

*** Added new short section to explain that xmh has a limit of 9999
messages per folder <xmh/reamai.html#MeNuLi>.

*** Updated the explanation of the MH command version forwr
<mh/verfor.html#fFfHur>. Now it shows how to use both the sender's
name and subject in the subject of the forwarded message.

*** Added a reminder to the introduction for "xmh's Pick command"
<xmh/seapic.html> not to press RETURN after a search string.

*** Added info to the programming section "Getting Message Numbers"
<mh/getmenu.html> about handling empty or undefined sequences.

*** In the section "Explanation of distprompter" <mh/e-distpr.html>,
changed 0<&- to 0<&5.

*** Removed a comma in the section "Showing and Printing Messages"
<mh/shomes.html>.



* Changes in MH Book 199705

** Major Changes in MH Book 199705

*** Changed the book title from "MH & xmh: Email for Users &
Programmers" to just "MH & nmh: Email for Users & Programmers". The
emphasis on xmh in the original book really wasn't right because it
has also covered exmh and MH-E since the third edition.

*** Reorganized the book. The book's four parts have been split into
four separate subdirectories (plus a directory for overall
information); each subdirectory will be maintained by the peron who
wrote that material.

*** Updated copying.html <copying.html>, the terms for using and
redistribting the book, to explain the terms for new pages that
weren't in the original print edition.

*** The book's example scripts used to be stored in HTML files named
s-*.html. I moved them to a new subdirectory, download/split/, and
changed all the pages that pointed to the old locations. This will let
people download individual scripts instead of needing to get the whole
archive. Doing this meant changes (mostly minor) to a lot of pages.
Made related changes, and updates for online version of book, to
"Obtaining Example Files From This Book" <mh/obtpro.html> and
"Programs in This Book's Archive" <mh/pritba.html>.

*** Added new section about rfl <mh/pamiafwp.html#rfl>, a script for
merging messages into a storage digest. Also added an rfl manual page
<mh/rfl_man.html> and installation instructions <mh/e-rfl.html>.

*** Added new section "Versions of pick: Repeatable Custom Searches"
<mh/verpic.html>. It explains how to save pick commands that you run
often -- as MH command versions or shell aliases/functions.

*** At the end of the section "Searching More Than One Folder", added
a new section on the fpick script <mh/finpic.html#fpick>. It searches
for a message in many folders.

*** Added information about formatting the headers of forw messages.
The section now called "Formatting the Header"
<mh/forfor-2.html#NoNefofo> used to be called "No Need for forwcomps";
I added a description of the forwedit script and a paragraph about the
forwr MH command version. Made new sections for those two changes:
"Explanation of forwedit" <mh/e-forwed.html> and "forwr: Format forw
Headers using repl" <mh/verfor.html#fFfHur>.

*** Updated the section "The replcomps File" <mh/drafil.html#TherepFi>
(and its special subsection for replcomps lines 1-2 before MH 6.8).
Explained adding a References: field. Did other small cleanup all
through the section.

*** Added a new section, "References: Message Threading"
<mh/hea.html#ReMeTh>, about the References: header field. ul>

*** Added "Joining Messages with rfl" <mh/pamiafwp.html#rfl>, about a
Perl script for making message-storage digests. rfl is an alternative
to making new folders or adding sequences. Renamed the section holding
it (and packf and packmbox) from "Pack Messages into a File" to "Files
with Multiple Messages"; changed its title in links from the previous
and next files. Made a link to the new rfl section from the section
"Storing Messages" <mh/stormess.html>.

*** Added new section "Using Environment Variables with MH"
<mh/mhanthsh.html#UsEnVawM>. Shortened an existing part of the section
"A Test Mail Setup" <mh/atset.html> and made it point to the new
section.

*** Added an aligrep script <mh/mh.html#aligrep> for searching alias
file in the section "Showing MH Aliases with ali". Changed the section
title to just "Showing MH Aliases". Added another section explaining
how to set up aligrep <mh/e-aligre.html>.

*** Added a new section called "Finding Messages to Yourself with
pick2me" <mh/finpic.html#FiMetoYo> about the pick2me script.

*** In the section "Making MH Aliases" <mh/mh.html#MakAli>, added
these tips: backwards recursion of aliases, using UNIX secondary
groups in alias files, using RFC822 groups in alias files, and editing
the aliases file.

*** Added a new section, "Check for Folder Changes"
<mh/pccewca.html#ChfoFoCh>, that helps you notice when folders have
changed.

*** Added a new section, "Quick Folder Access" <mh/qufoac.html>, that
shows ways to access folders quickly: folder name completion and
abbreviations. Also fixed links from the next and previous sections.

*** Added a new section, "Message Transfer; Sighted and Blind
Recipients" <mh/senove.html#SDSaBR>, about message envelopes vs.
header addresses and how MH handles groups (distribution lists) and
blind copies (bcc:).

*** Revised index entries. Added lots of index entries, especially in
the sections:

  - mhl <mh/hl.html>

  - MH format <mh/mhstr.html>

Made small changes in the text of some files so index entries would
work better.

** Minor Changes in MH Book 199705

*** Renamed the section "Storing Sequence Name in Your MH Profile" to
"Saving Time with Your MH Profile" <mh/finpic.html#StoPro>. Added a
link from it to the new "Versions of pick" section.

*** Fixed very small typo (deleted a single space) in "Sending MIME
Mail" <mh/usimim.html#index9>.

*** Mentioned using send -mime when sending MIME messages in "Bcc:
Blind Carbon Copies" <mh/hea.html#index21>.

*** Added missing % and \ characters to a vi command that runs scan
<mh/hea.html#index24>.

*** Changed last sentence in the section "Renumbering Messages in a
Folder" <mh/fol.html#RenFol> to say folder -pack instead of folder.

*** Added a cross-reference about shell loops to the section "Working
in an MH Directory" <mh/fol.html#WiaMD>.

*** Added a paragraph about standard signature syntax
<mh/autmes.html#index2> (starting them with two dashes and a space).

*** In the sections "Selective Replies with -query"
<mh/reprep-2.html#Selque> and "Table: MH-format Function Escapes (3 of
3)" <mh/mhstr.html#MfFuEs3>, mentioned that the repl -query switch
works with the (formataddr) MH-format function escape.

*** Added an example to the section "picking Miscellaneous Fields"
<mh/finpic.html#picCom> to show how to follow message threads.

*** Added a few paragraphs <mh/mhstr.html#index39> to the description
of the scan.more format file. They clarify what happens in a control
escape that has multiple function escapes after a single condition.

*** Fixed two bugs in the replcomps.addrfix format file
<mh/mhstr.html#TreadFF>: the %(void(width)) escape was in the wrong
place, and the address in the In-reply-to: field needed to be
commented (with parentheses) so it wouldn't cause an illegal/confusing
format in that field.

*** Fixed two places in "Changing MH Directory Name"
<mh/chanam.html#index2> that talked about a shell's "folder stack";
they should have said "directory stack".

*** Added an mscan shell function, for running scan and then mhn
-list, to the section "Listing MIME Message Parts" <mh/limimepa.html>.

*** Fixed bug in a find command for setting directory permissions
<mh/setacc.html#index3>.

*** Added index entries and cross-references to info about shell loops
for the sections "Finding Messages with pick" <mh/finpic.html>,
"Folders" <mh/fol.html>, "Reading MIME Messages" <mh/remime.html>, and
"Using Links" <mh/usilin.html>.

*** Added a few cross-references pointing to other sections from
"Fields You Add to a Header" <mh/hea.html#ComHea>. Also added a
paragraph about creating folders from an fcc: header field
<mh/hea.html#index22>.

*** A few tweaks to the section "Creating Digests"
<mh/forfor-2.html#CreDig>.

*** Fixed error in "Previous" page links in the chapter introduction
to "New Versions of MH Commands" <mh/ch-nvomc.html> (and then changed
the link again -- to point to the new "Quick Folder Access" section).

*** Expanded the chapter introduction in "Reading Your Mail with MH"
<mh/ch-rymwm.html>.

*** Added a note about mhn drafts to the end of the section
"Recovering a Removed Message" <mh/rem.html#RecMes>.

*** Added links, and removed comments to the author (oops!), in
"Reference Guide home page" <overall/ap-rg.html> (overall/ap-rg.html).


* Changes in MH Book Original

The text in the original Web version is almost identical to the
printed book, the third edition of "MH & xmh: Email for Users &
Programmers", ISBN 1-56592-093-7, by Jerry Peek, published by O'Reilly
& Associates, Inc. (now O'Reilly Media, Inc. [1]). Changes to the
original edition were minor ones needed to make the book work on the
Web. You can get the original Web version from SourceForge [2] or from
O'Reilly [3].

1. http://www.oreilly.com/
2. http://prdownloads.sourceforge.net/rand-mh/MH-book-original.tgz?download
3. http://www.oreilly.com/freebooks/mh/


Local variables:
mode: outline
paragraph-separate: "[ 	]*$"
end:
